//----------------------------BEGIN LICENSE----------------------------
/* 
 * Willow : the Open Source WorkFlow Project
 * Distributable under GNU LGPL license by gun.org
 *
 * Copyright (C) 2004-2010 huihoo.org 
 * Copyright (C) 2004-2010  ZosaTapo <dertyang@hotmail.com> 
 * 
 * ====================================================================
 * Project Homepage : http://www.huihoo.org/willow
 * Source Forge     : http://sourceforge.net/projects/huihoo
 * Mailing list     : willow@lists.sourceforge.net 
 */
//----------------------------END  LICENSE-----------------------------
package org.huihoo.workflow.xpdl;

import org.huihoo.workflow.WorkflowComponent;
import org.huihoo.workflow.WorkflowXPDLComponent;
import org.huihoo.workflow.xpdl.util.Duration;
import org.huihoo.workflow.xpdl.util.DurationUnit;

public abstract class WorkflowProcessHeader implements WorkflowComponent, WorkflowXPDLComponent
{
  public abstract java.util.Date getCreationTime();  
  public abstract void setCreationTime(java.util.Date created);
  public abstract void setCreationTime(String created);
  
  public abstract Duration getLimit();  
  public abstract void setLimit(Duration limit);
  
  public abstract java.util.Date getValidFrom();  
  public abstract void setValidFrom(java.util.Date validFrom);
  public abstract void setValidFrom(String validFrom);
  
  public abstract java.util.Date getValidTo();
  public abstract void setValidTo(java.util.Date validTo);
  public abstract void setValidTo(String validTo);
  
  public abstract DurationUnit getDurationUnit();
  public abstract void setDurationUnit(DurationUnit durationUnit);
  
  public abstract String getDescription();
  public abstract void setDescription(String description);

}
